# MQTTPower.py 
# Subscribe auf Rpi mit Power Switch

from mqttclient import MQTTClient
import RPi.GPIO as GPIO
from time import sleep

#host = "192.168.0.10"
host = "broker.dynns.com"
topic = "uska/led"

P_OFF = 38
P_ON = 40

def setup():
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(P_ON, GPIO.OUT)
    GPIO.setup(P_OFF, GPIO.OUT)

def turnOn():
    GPIO.output(P_ON, GPIO.HIGH)
    sleep(0.1)
    GPIO.output(P_ON, GPIO.LOW)

def turnOff():
    GPIO.output(P_OFF,  GPIO.HIGH)
    sleep(0.1)
    GPIO.output(P_OFF, GPIO.LOW)

def onMessageReceived(topic, message):
    if message == "aus":
        print "ausschalten"
        turnOff()
    elif message == "ein":
        print "einschalten"
        turnOn()

setup()
turnOff()
print "Subscribing to host", host, "for topic", topic
m = MQTTClient(messageReceived = onMessageReceived)
if m.connect(host):
    print "Connection to", host, "established"
    m.subscribe(topic)
else:
    print "Connection to", host, "failed"    

